document.getElementById("start").addEventListener("click", () => {
    chrome.storage.local.set({ isRunning: true }, () => {
        console.log("הפעלת את התוסף.");

        // מצא את כל הכרטיסיות עם הדומיין המבוקש
        chrome.tabs.query({}, (tabs) => {
            tabs.forEach((tab) => {
                const url = new URL(tab.url);
                if (url.hostname === "www.thingiverse.com") {
                    // רענן את הכרטיסיה
                    chrome.tabs.reload(tab.id, () => {
                        // לאחר הרענון, הזרק את content.js
                        chrome.scripting.executeScript({
                            target: { tabId: tab.id },
                            files: ["content.js"]
                        });
                    });
                }
            });
        });
    });

    // הצגת הודעת הפעלה בעיצוב אחיד
    const statusMessage = document.getElementById("statusMessage");
    statusMessage.textContent = "התוסף הופעל בהצלחה!";
    statusMessage.classList.add("message");
    statusMessage.style.color = "#4CAF50"; // ירוק (הצלחה)

    // סגור את החלון אחרי 2 שניות
    setTimeout(() => {
        window.close();
    }, 2000);
});

document.getElementById("stop").addEventListener("click", () => {
    chrome.storage.local.set({ isRunning: false }, () => {
        console.log("כיבית את התוסף.");
        chrome.tabs.query({ active: true, currentWindow: true }, (tabs) => {
            const tab = tabs[0];
            if (tab) {
                chrome.scripting.executeScript({
                    target: { tabId: tab.id },
                    func: stopSwitching
                });
            }
        });
    });

    // הצגת הודעת עצירה בעיצוב אחיד
    const statusMessage = document.getElementById("statusMessage");
    statusMessage.textContent = "התוסף נעצר בהצלחה!";
    statusMessage.classList.add("message");
    statusMessage.style.color = "#4CAF50"; // ירוק (הצלחה)
});

function stopSwitching() {
    if (window.nextPageInterval) {
        console.log("הטיימר נעצר.");
        clearInterval(window.nextPageInterval);
        window.nextPageInterval = null;
        chrome.storage.local.set({ nextPageInterval: false }); // נשמור שהטיימר לא פועל
    }
}
